discuss-gnustep
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [ANN] HighlighterKit 0.1.2 and Gemas 0.3


From: Sašo Kiselkov
Subject: Re: [ANN] HighlighterKit 0.1.2 and Gemas 0.3
Date: Sun, 19 Feb 2012 07:53:43 +0100
User-agent: Mozilla/5.0 (X11; Linux i686; rv:7.0.1) Gecko/20110929 Thunderbird/7.0.1

On 02/19/2012 02:40 AM, German Arias wrote:
> 2012/2/18 Sašo Kiselkov <address@hidden>:
>> It seems to be caused by a change in include dependencies - in the
>> implementation files I included (for speed of compilation) only a subset
>> of the Foundation headers needed for compilation. Seems like GNUstep
>> stopped including NSString.h from the headers included in HKit. You
>> could simply fix this by replacing all Foundation import lines:
>>
>> #import <Foundation/...h>
>>
>> with a single:
>>
>> #import <Foundation/Foundation.h>
>>
>> in files which report compilation errors.
>>
>> --
>> Saso
>>
> 
> Which version of gnustep are you using? Which system? I tested
> HighlighterKit and Gemas with gnustep stable release and compiles
> fine. Even with current SVN I don't have problems.

I've tried compiling the latest SVN on Ubuntu 11.10 and it worked fine
with the bundled GNUstep (gnustep-base 1.22). I based my suggestions to
Csanyi Pal on his compilation errors (missing NXConstantString
declarations on lines where @"something" is used in the .m files).

--
Saso



reply via email to

[Prev in Thread] Current Thread [Next in Thread]